## net.percederberg.mib.type
Class IntegerType

    java.lang.Object
      |
      +--net.percederberg.mib.type.Type
            |
            +--net.percederberg.mib.type.IntegerType

public class IntegerType
extends Type

A class for handling integer type information.

Author:
  Per Cederberg, per@percederberg.net

Constructor Summary
`IntegerType()` Creates a new integer type without value restrictions.
`IntegerType(ValueRangeConstraint range)` Creates a new integer type with value range restrictions.

Method Summary
`boolean` `equals(java.lang.Object obj)` Checks if this type is equals to some other object.
`java.lang.String` `toString()` Returns a string description of this type.
`void` `transferType(TypeConverter converter)` Transfers the type information from this type to a type converter object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntegerType

    public IntegerType()

  Creates a new integer type without value restrictions.

### IntegerType

    public IntegerType(ValueRangeConstraint range)

  Creates a new integer type with value range restrictions.
  Parameters:
    `range` - the value range

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Checks if this type is equals to some other object. It will only be reported equal to other integer types having the same type constraints.
  Overrides:
    `equals` in class `Type`
  Parameters:
    `obj` - an object
  Returns:
    true if the objects are equal, or false otherwise

### toString

    public java.lang.String toString()

  Returns a string description of this type.
  Overrides:
    `toString` in class `Type`
  Returns:
    a string description of the type

### transferType

    public void transferType(TypeConverter converter)

  Transfers the type information from this type to a type converter object. The calling conventions declared in the TypeConverter class are followed.
  Overrides:
    `transferType` in class `Type`
  Parameters:
    `converter` - a type converter